﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="Diorama.LoginUI"
             NavigationPage.HasNavigationBar="False"
             BackgroundColor="RoyalBlue">
    <ContentPage.Content>
        <StackLayout Padding="30" VerticalOptions="Center" HorizontalOptions="FillAndExpand">
            <Label Text="Diorama" FontSize="50" HorizontalTextAlignment="Center" TextColor="White" Margin="40"></Label>
            <Entry x:Name="FUsername" Placeholder="Username" TextColor="White" PlaceholderColor="#dad5c0"></Entry>
            <Entry x:Name="FPassword"  Placeholder="Password" IsPassword="True" TextColor="White" PlaceholderColor="#dad5c0"></Entry>
            <Button
                VerticalOptions="Center"
                Text="Log in"
                TextColor="White"
                BackgroundColor="DeepSkyBlue"
                BorderWidth="1.5"
                CornerRadius="5"
                Clicked="Login_Button_Clicked"></Button>

            <Label HorizontalOptions="Center" VerticalOptions="End" Margin="0,200,0,0">
                <Label.FormattedText>
                    <FormattedString>
                        <Span Text="Don't have an account? " TextColor="#dad5c0"></Span>
                        <Span Text="Sign Up." TextColor="DeepSkyBlue" FontAttributes="Bold"></Span>
                    </FormattedString>
                </Label.FormattedText>
                <Label.GestureRecognizers>
                    <TapGestureRecognizer Tapped="Signup_Tapped"></TapGestureRecognizer>
                </Label.GestureRecognizers>
            </Label>
        </StackLayout>
    </ContentPage.Content>
</ContentPage>